<?php
/**
 * Feedback Hook
 *
 * @category   WordPress_Plugin
 * @package    Standard
 * @subpackage Hooks
 * @author     miniOrange <info@miniorange.com>
 * @license    MIT/Expat
 * @link       https://plugins.miniorange.com/woocommerce-api-product-sync-with-woocommerce-rest-apis
 */

namespace MOWCPS\Standard\Hooks\Feedback;

use MOWCPS\Standard\Handlers\Feedback\Feedback_Handler;
use MOWCPS\Common\Interfaces\Hookable_Interface;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Class Feedback
 *
 * Registers feedback hooks
 */
class Feedback implements Hookable_Interface {
	/**
	 * Initialize the feedback hooks
	 */
	public function __construct() {
		$this->register_hooks();
	}

	/**
	 * Register feedback hooks
	 *
	 * @return void
	 */
	public function register_hooks() {
		add_action( 'admin_footer', array( Feedback_Handler::class, 'display_feedback_form' ) );
	}
}
